Mac Forums

Mac Forums (http://www.mac-forums.com/forums/)
-   Switcher Hangout (http://www.mac-forums.com/forums/switcher-hangout/)
-   -   Outdated Panther os x problems! (http://www.mac-forums.com/forums/switcher-hangout/297545-outdated-panther-os-x-problems.html)

jimi thing 04-04-2013 07:16 PM

Outdated Panther os x problems!
 
Hello,
Just bought a used 20" imac snowball looking computer and for some reason it won't let me log onto certain websites. I can get on to MSN but when I try to search youtube or google it acts like it starts to load then turns off and I get a message box reading "application safari has unexpectedly quiit".
I've also gotten messages reading that my web browser is outdated and when I try to download and install a new one a message appears reading program didn't mount, ive tried this with a few different web browser (camino, icab, ect.).
This is my first mac so it's all kind of new to me.
Please, any advicewould be appreciated.

hugtheslug 04-04-2013 08:00 PM

Hi,

I take it it's this iMac? - iMac G4/1.25 20-Inch "FP" (USB 2.0) Specs (iMac USB 2.0, M9290LL/A, PowerMac6,3, N/A, N/A) @ EveryMac.com - in which case you can upgrade as far as Mac OS 10.5 (Leopard).
If you can upgrade, you need to search for a 'retail' disc which will be black with a large X on it - the grey discs are machine specific and would not work on yours.
That upgrade would include a more up to date version of Safari, and also, if you could only afford to go as far as Tiger (Mac OS 10.4) it would enable you to use TenFourFox, a very much up to date Firefox derivative for older Macs (http://www.floodgap.com/software/tenfourfox/).

Hope this helps,

Cheers :)

Hugh

jimi thing 04-04-2013 08:28 PM

Yes, that's the one.
It's running panther 10.3.9

So is it the operating system that's causing me to have these issues or the outdated web browser or both?

hugtheslug 04-04-2013 08:48 PM

Erm, I more suspect the browser, but don't really know for sure.
It might also be you haven't enough memory (RAM), which I've just realised you will probably need if you plan to upgrade to Tiger or Leopard.

As an idea, without doing anything expensive, try downloading iCab 4.9 (iCab - Downloads) and see how you get on with various websites.

Cheers :)

Hugh

jimi thing 04-04-2013 08:59 PM

the ram is pretty low 750mb. All I really want to do with the computer is web surfing, maybe youtube and some light photo editing. I don't have a problem with sticking to panther if it'll allow me to do these things.
the main problem is that it wont allow me to load any new updated web browsers. I've tried about 4 different ones including icab and it just keeps giving me a message box that says that the program failed to mount. it acts like its starting to load then I get that message.
It's just a little frustrating that the person who sold it to me said "oh yeah, you won't have any problems searching the web with this thing".
It will search certain websites and do alright but like I said before, once you try searching google or youtube I get the message "application safari has unexpectedly quit"

Thanks for your help by the way.

dtravis7 04-04-2013 10:02 PM

It's Safari but with 10.3.9 even if you put on an older version of say Firefox it will still have some issues on sites. 10.3.9 is just too old! I ran into an iBook G4 with Panther and had the same issues. I upgraded the friend to the last Tiger 10.4.11 and all his sites worked. If you max out the RAM I would try 10.5 Leopard though as you would be even more recent. That as was said is the last OSX version you can install.

Only issue with 10.5 is cost. People charge an arm and a leg for it as it's the newest OS that runs on many of the older Macs.

If you are strapped for $$$ get a Full install Black DVD of Tiger and update it online to 10.4.11. That will do you a lot better than Panther and the cost will be a lot lower.

pigoo3 04-04-2013 10:12 PM

Quote:

Originally Posted by jimi thing (Post 1507916)
the main problem is that it wont allow me to load any new updated web browsers.

As "dtravis7" recommended...you need to upgrade the OS. OS 10.3 is just too old to support newer versions of browsers. Even with OS 10.4 or 10.5...you still won't be able to run the latest browser versions...but you will be able to run versions newer that OS 10.3 does not support.

Quote:

Originally Posted by jimi thing (Post 1507916)
It's just a little frustrating that the person who sold it to me said "oh yeah, you won't have any problems searching the web with this thing".

Well...you can't believe everything folks tell you. Remember...he's trying to sell you a computer. If he tells you "It can't do this...or...it can't do that." Then you're just going to walk away!;)

On the other hand he wasn't totally wrong...you just got to update the OS.:)

- Nick

dtravis7 04-04-2013 10:45 PM

Just to back up what Nick was saying, I was running my 733 Quicksilver last night with 1.25GB RAM. I have Tiger and Leopard on separate drives and both went to every site I checked and even with Leopard on a 733 it was pretty snappy despite what apple says. Just DO NOT plan on a G4 CPU to run 720p or 1080p HD off of You Tube! Like an older PC it will pause and stutter and lag.

And what a lot of people seem to deny but I can prove it to anyone with an open mind, most of that issue is Flash. I have rolled back Flash on the older G4 machines to an older version and videos play much smoother at higher bit rates.

jimi thing 04-04-2013 11:08 PM

so by installing Tiger 10.4.11 into the system should fix the problems?
Is there any preference on where to buy the disc? or is there a download available?

thanks for the help guys, i appreciate it.

pigoo3 04-04-2013 11:30 PM

Quote:

Originally Posted by jimi thing (Post 1507938)
so by installing Tiger 10.4.11 into the system should fix the problems?

What it will do is allow you to download newer browser versions. You just got to do it...and then test it thoroughly. Just remember...everything continues to evolve.

Who knows...in another 1-2 years (or less)...the broswers that are compatible with OS 10.4 today (and can do just about any website)...may be like OS 10.3 is today in 1-2 years.

When you're working with old computers...running old OS versions...nothing is guaranteed to last forever (just like you're currently experiencing).;)

Quote:

Originally Posted by jimi thing (Post 1507938)
Is there any preference on where to buy the disc? or is there a download available?

No downloads...disk only. e-Bay is your best bet. No gray-disks...these won't work. You need OS 10.4 on the black disk with a big "X" on it.

- Nick


All times are GMT -4. The time now is 11:35 AM.

Powered by vBulletin
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.